Change specific properties of a strategy

View as Markdown
Change specific properties of a strategy configuration in a feature flag.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired
strategyIdstringRequired

Request

patchesSchema
pathstringRequired
The path to the property to operate on
openumRequired
The kind of operation to perform
fromstringOptional
The target to move or copy from, if performing one of those operations
valueanyOptional
The value to add or replace, if performing one of those operations

Response

featureStrategySchema
namestring
The name or type of strategy
idstring
A uuid for the feature strategy
titlestring or null
A descriptive title for the strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs
featureNamestring
The name or feature the strategy is attached to
sortOrderdouble
The order of the strategy in the list
segmentslist of doubles
A list of segment ids attached to the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
parametersmap from strings to strings
A list of parameters for a strategy

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error